## Controller Python Script "take_survey"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=page
##title=Take Survey

request = context.REQUEST
form = request.form
questions = context.listQuestions(page)

member = context.portal_membership.getAuthenticatedMember()
id = context.getUniqueId(member, request)

for q in questions:
	answer = q.field.widget.process_form(context,q.field,form)[0]
	q.addAnswer(id, answer)

val = request.get('continue', '')

if val == 'continue':
	status='continue'
	pages = context.getPages()
	next_page = pages[ pages.index(page) + 1]
	return state.set(status='continue', 
					 page=next_page, 
					 portal_status_message='Answers recorded.  Please continue.')
else:
	return state.set(status='success', 
                     portal_status_message='Thanks for taking the survey')