## Python Script "survey_results"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Take Survey

from string import join, replace

def encode(s):
	"""Replace tabs and newlines if they appear with spaces"""
	s = replace(s,'\t',4 * ' ') 
	s = replace(s,'\n',60 * ' ')

respondents = context.listRespondents()
fields = context.listQuestions()

response = context.REQUEST.RESPONSE
response.setHeader('Content-Type', 'text/tab-separated-values')

line = join(['Username'] + [field.getLabel() for field in fields], '\t')

response.write("%s\n" % line)

for user in respondents:
	uid = context.getUniqueId(user)
	line = join([user] + [str(field.accessor(uid)) for field in fields], '\t')
	response.write("%s\n" % line)